%define name	gtkpsproc
%define version	3.4
%define release  %mkrel 1

Summary: 	Postscript printing interface
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Source:		%{name}-%{version}.tar.bz2
URL:		http://www.rastersoft.com/gtkpsproc.html
License:	GPLv2+
Group:		System/Configuration/Other
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig ImageMagick
BuildRequires:	gtk2-devel 
BuildRequires:  libglade2.0_0-devel
BuildRequires:	cups-devel
Requires:	gnome-python 
Requires:       gnome-python-applet 
Requires:       python-gobject
Requires:       gnome-python-applet 
Requires:	python-gamin
Requires(post):	cups cups-common
Requires(postun): cups
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes: %{name} < %version



%description
GtkPSproc provides an elegant graphical interface which shows up as a
virtual printer.  Printing to GtkPSproc allows for some advanced options
which your standard desktop interface may not provide, such as:
 * reverse order
 * multiple pages per sheet
 * booklet mode
 * double-side emulation
 * and more

You can run gtkpsproc from the command line.  To enable the cups backend,
you will have to configure your desktop to run the gtkpsproc-applet.

%prep
%setup -q

%build
make
										
%install
rm -rf $RPM_BUILD_ROOT
install -d %{buildroot}/%{_bindir}
install -m 755 gtkpsproc %{buildroot}/%{_bindir}/gtkpsproc
install -d %{buildroot}/%{_datadir}/gtkpsproc
install -d %{buildroot}/%{_datadir}/locale/es/LC_MESSAGES
install po/es.mo %{buildroot}/%{_datadir}/locale/es/LC_MESSAGES/gtkpsproc.mo
install gtkpsproc.glade %{buildroot}/%{_datadir}/gtkpsproc/
install pixmaps/* %{buildroot}/%{_datadir}/gtkpsproc/
install -d %{buildroot}/%{_datadir}/pixmaps
install gtkpsproc.svg %{buildroot}/%{_datadir}/pixmaps/
install -m 755 psproc_applet.py %{buildroot}/%{_bindir}/psproc_applet
install -d %{buildroot}/%{_prefix}/lib/cups/backend
install -m 755 psproc_backend.py %{buildroot}/%{_prefix}/lib/cups/backend/psproc_backend
install -d %{buildroot}/%{_libdir}/bonobo/servers
install gtkpsproc.server %{buildroot}/%{_libdir}/bonobo/servers/
install -d %{buildroot}/%{_datadir}/doc/gtkpsproc/html
install docs/* %{buildroot}/%{_datadir}/doc/gtkpsproc/html/

#menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{name}
Icon=%{name}
Name=GtkPSProc
Comment=Graphical printing interface
Categories=GNOME;GTK;Settings;System;Settings;
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 %name.svg $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 %name.svg $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 %name.svg $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/etc/rc.d/init.d/cups restart
%update_menus

		
%postun
/etc/rc.d/init.d/cups restart
%clean_menus


%files -f %{name}.lang
%defattr(-,root,root)
%doc %{_datadir}/doc/%name
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_prefix}/lib/cups/backend/*
%{_datadir}/%name
%{_datadir}/pixmaps/*
%{_datadir}/applications/%name.desktop
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png


%changelog
* Fri Dec 18 2009 slick50 <lxgator@gmail.com> 3.4-1pclos2010
- initial package
